summaryrefslogtreecommitdiff
path: root/script/trees
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-06-30 14:13:52 +0100
committerLeah Rowe <leah@libreboot.org>2024-06-30 14:13:52 +0100
commit1a7c8acb0e27f261e7d4bc13a30f1047491133f5 (patch)
treea2414bd6ffa7d6a8729a49babff02c77961f7b0f /script/trees
parentba7b3a3b21349b9929df674b34a317d03b88a341 (diff)
trees: rename check_config to check_defconfig
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/trees')
-rwxr-xr-xscript/trees6
1 files changed, 3 insertions, 3 deletions
diff --git a/script/trees b/script/trees
index 0bf32548..2856a0fe 100755
--- a/script/trees
+++ b/script/trees
@@ -110,7 +110,7 @@ handle_defconfig()
[ -f "$y" ] || continue
defconfig="$y"
- [ -n "$mode" ] || check_config || continue
+ [ -n "$mode" ] || check_defconfig || continue
handle_makefile
[ -n "$mode" ] || copy_elf
done
@@ -202,9 +202,9 @@ check_coreboot_utils()
done; return 0
}
-check_config()
+check_defconfig()
{
- [ -f "$defconfig" ] || $err "check_config $project/$target: no config"
+ [ -f "$defconfig" ] || $err "$project/$target: missing defconfig"
dest_dir="$elfdir/$target/${defconfig#"$target_dir/config/"}"
elfcheck || return 1 # skip build if a previous one exists